Bug 281281 - Review Request: netpipe - A network performance measurement tool
Summary: Review Request: netpipe - A network performance measurement tool
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-09-06 19:06 UTC by Ruben Kerkhof
Modified: 2008-01-15 21:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 21:29:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ruben Kerkhof 2007-09-06 19:06:48 UTC
Spec URL: http://rubenkerkhof.com/packages/netpipe.spec
SRPM URL: http://rubenkerkhof.com/packages/netpipe-3.7.1-1.fc7.src.rpm
Description:
NetPIPE is a protocol independent performance tool that visually
represents the network performance under a variety of conditions.x
It performs simple ping-pong tests, bouncing messages of increasing size
between two processes, whether across a network or within an SMP system.
Message sizes are chosen at regular intervals, and with slight perturbations,
to provide a complete test of the communication system.
Each data point involves many ping-pong tests to provide an accurate timing.
Latencies are calculated by dividing the round trip time
in half for small messages ( < 64 Bytes ).

Comment 1 Till Maas 2007-09-08 07:21:21 UTC
- naming: ok (debian also uses a lowercase name)
- rpmlint: ok (silent)
- source: ok
cc458a9154f6b8c6da9fae16627beec4  NetPIPE-3.7.1.tar.gz
cc458a9154f6b8c6da9fae16627beec4  NetPIPE-3.7.1.tar.gz.1
- BuildRoot: ok
- Package compiles in koji for all supported archs
- License: NEEDSWORK
You use  GPLv2+, but I cannot find any information on the version of the
license, the header in some source files only mention GPL, but no version and so
does README. Also no license text is included. 
These files do not contain any license header, but some contain an author:
shmem.c
MP_memcpy.c
mpi2.c
gpshmem.c
gm.c
armci.c

Would you please ask upstream to update the license header (and the manpage and
README) to a specific GPL Version, add a license header to the mentioned files
and include the license text in the tarball?

Comment 2 Mamoru TASAKA 2007-09-08 16:06:24 UTC
(In reply to comment #1)

> Would you please ask upstream to update the license header (and the manpage and
> README) to a specific GPL Version, 

Upstream does not have to change the license to version specific.
If no specific version is provided, the license is simply GPL+
(GPL any version).

Comment 3 Ruben Kerkhof 2007-09-09 09:00:25 UTC
Thanks Mamoru and Till.

I've changed the license tag to GPL+
New version here: http://rubenkerkhof.com/packages/netpipe-3.7.1-2.fc7.src.rpm

Comment 4 Ruben Kerkhof 2007-11-26 16:36:01 UTC
Till, do you want to have another look?

Comment 5 Till Maas 2007-11-26 17:08:05 UTC
Sorry for not answering earlier: Did you ask upstream about a license header for
these files?

shmem.c
MP_memcpy.c
mpi2.c
gpshmem.c
gm.c
armci.c

Comment 6 Ruben Kerkhof 2007-11-26 19:58:13 UTC
I wasn't aware that each file needed a license header, but I'll ask upstream to include those (and a 
separate LICENSE file).

Comment 7 Ruben Kerkhof 2008-01-15 21:29:25 UTC
Hmm, upstream seems to be less active than I thought.
I haven't received a reply from them, nor could I subscribe to the mailing list.

Getting this package in Fedora is probably not a good idea, so I'll close the ticket.
Thanks for the effort Till.


Note You need to log in before you can comment on or make changes to this bug.